Option Explicit
Dim strComputer, strBIOS
Dim objWMI, objBIOS, objItem
'
' Get the WMI service
'
strComputer = "server"
Set objWMI = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & _ 
    strComputer & "\root\cimv2")
'
' Get the BIOS instance
'
Set objBIOS = objWMI.ExecQuery("SELECT * FROM Win32_BIOS WHERE PrimaryBIOS = true")
'
' Initialize the display string
'
strBIOS = "BIOS Data for " & UCase(strComputer) & ":" & vbCrLf & vbCrLf
'
' Collect the BIOS data
'
For Each objItem in objBIOS
	strBIOS = strBIOS & _
	          "BIOS Name:" & vbTab & objItem.Name & vbCrLf & _
	          "Manufacturer:" & vbTab & objItem.Manufacturer & vbCrLf & _
	          "BIOS Version:" & vbTab & objItem.Version & vbCrLf & _
	          "SMBIOS Version:" & vbTab & objItem.SMBIOSBIOSVersion & vbCrLf & _
	          "BIOS Date:" & vbTab & ConvertToDate(objItem.ReleaseDate)

Next
'
' Display the string
'
WScript.Echo strBIOS
'
' Release the objects
'
Set objWMI = Nothing
Set objBIOS = Nothing
Set objItem = Nothing
'
' This function takes a datetime string and
' converts it to a real date object
'
Function ConvertToDate(strDate)
    Dim strYear, strMonth, strDay
    strYear = Left(strDate, 4)
    strMonth = Mid(strDate, 5, 2)
    strDay = Mid(strDate, 7, 2)
    ConvertToDate = DateSerial(strYear, strMonth, strDay)
End Function