Option Explicit
Dim strComputer, strDriveData
Dim objWMI, objDrives, objDrive
'
' Get the WMI service
'
strComputer = "mediapc"

Set objWMI = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & _ 
    strComputer & "\root\cimv2")
'
' Get the instances of hard disk drives (MediaType = 12)
'
Set objDrives = objWMI.ExecQuery("SELECT * FROM Win32_LogicalDisk WHERE MediaType = 12")
'
' Initialize the display string
'
strDriveData = "Disk Drive Data for " & UCase(strComputer) & ":" & vbCrLf & vbCrLf
    strDriveData = strDriveData & _
        "Letter:" & vbTab & _
        "Name:" & vbTab & _
        "System:" & vbTab & _
        "Size:" & vbTab & _
        "Free:" & vbTab &  _
        "% Free:" & vbTab &  vbCrLf & _
        "=====" & vbTab & _
        "=====" & vbTab & _
        "=====" & vbTab & _
        "=====" & vbTab & _
        "=====" & vbTab & _
        "=====" & vbTab & vbCrLf
'
' Collect the drive data
'
For Each objDrive In objDrives
    strDriveData = strDriveData & _
        objDrive.Name & vbTab & _
        objDrive.VolumeName & vbTab & _
        objDrive.FileSystem & vbTab & _
        FormatNumber(objDrive.Size / 1073741824, 1) & " GB" & vbTab & _
        FormatNumber(objDrive.FreeSpace / 1073741824, 1) & " GB" & vbTab & _
        FormatPercent(objDrive.FreeSpace / objDrive.Size, 1) & vbTab & vbCrLf

Next
'
' Display the string
'
WScript.Echo strDriveData
'
' Release the objects
'
Set objWMI = Nothing
Set objDrives = Nothing
Set objDrive = Nothing
